# Uses of Class
org.apache.lucene.util.automaton.ByteRunAutomaton

Packages that use ByteRunAutomaton
Package
Description
org.apache.lucene.search
Code to search indices.
org.apache.lucene.util.automaton
Finite-state automaton for regular expressions.

- ## Uses of ByteRunAutomaton in org.apache.lucene.search

  Method parameters in org.apache.lucene.search with type arguments of type ByteRunAutomaton
  Modifier and Type
  Method
  Description
  `void`
  QueryVisitor.`consumeTermsMatching(Query query, String field, Supplier<ByteRunAutomaton> automaton)`
  Called by leaf queries that match on a class of terms

- ## Uses of ByteRunAutomaton in org.apache.lucene.util.automaton

  Fields in org.apache.lucene.util.automaton declared as ByteRunAutomaton
  Modifier and Type
  Field
  Description
  `final ByteRunAutomaton`
  CompiledAutomaton.`runAutomaton`
  Matcher for quickly determining if a byte[] is accepted.